> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/contract-interactions/get-transaction-receipt",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get transaction receipt

> Retrieve the transaction receipt by blockchain native asset ID and transaction hash
> **Note** > This functionality is exclusively available for EVM (Ethereum Virtual Machine) compatible chains. 
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, and Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}/receipt
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}/receipt:
    get:
      tags:
        - Contract Interactions
      summary: Get transaction receipt
      description: >-
        Retrieve the transaction receipt by blockchain native asset ID and
        transaction hash

        > **Note** > This functionality is exclusively available for EVM
        (Ethereum Virtual Machine) compatible chains. 

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
        and Viewer.
      operationId: getTransactionReceipt
      parameters:
        - name: baseAssetId
          required: true
          in: path
          description: The blockchain base assetId
          example: ETH_TEST6
          schema:
            type: string
        - name: txHash
          required: true
          in: path
          description: The transaction hash
          example: '0x3b015ca0518c55d7bff4e3f5aa5d0431705771553ba8a95cf20e34cb597f57f6'
          schema:
            type: string
      responses:
        '200':
          description: Retrieved The Transaction Receipt Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionReceiptResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TransactionReceiptResponse>> =
            fireblocks.contractInteractions.getTransactionReceipt(contractInteractionsApiGetTransactionReceiptRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TransactionReceiptResponse>> response
            =
            fireblocks.contractInteractions().getTransactionReceipt(baseAssetId,
            txHash);
        - lang: Python
          source: >-
            response =
            fireblocks.contract_interactions.get_transaction_receipt(base_asset_id,
            tx_hash);
components:
  schemas:
    TransactionReceiptResponse:
      type: object
      properties:
        blockHash:
          type: string
          description: The block hash
          example: '0x6e3c92a3d96f96e46b7f39c30244edb6e8e0f4b65d3846c9f8287f9dd5d1a3d2'
        blockNumber:
          type: integer
          description: The block number
          example: 123456
        contractAddress:
          type: string
          description: The address of deployed contract
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
          nullable: true
        cumulativeGasUsed:
          type: integer
          description: The cumulative gas used in the transaction
          example: 21000
        effectiveGasPrice:
          type: integer
          description: The effective gas price
          example: 1000000000
        from:
          type: string
          description: Sender address
          example: '0xa7D9ddBE1f17865597Fbd27ec712455208B6b76D'
        gasUsed:
          type: integer
          description: Gas used by the transaction
          example: 21000
        logs:
          type: array
          items:
            $ref: '#/components/schemas/TxLog'
          description: Array of transaction logs
        logsBloom:
          type: string
          description: Logs bloom filter
          example: '0x0000000000000000000000000000000000000000000000000000000000000000'
        status:
          type: integer
          description: Transaction status (1 for success, 0 for failure)
          example: 1
        to:
          type: string
          description: Recipient address
          example: '0x1eC4a8bB9bB9Afa24f79cC2e1423cD00B6cFf50'
          nullable: true
        transactionHash:
          type: string
          description: The transaction hash
          example: '0x5a3b7f4b2c9e4a0b1f8a12c8e5f1d0e2a6b4c9d1f7e2b1a2b3c4d5e6f7a8b9c'
        transactionIndex:
          type: integer
          description: Transaction index in the block
          example: 3
        type:
          type: string
          description: Type of transaction
          example: '0x2'
      required:
        - blockHash
        - blockNumber
        - cumulativeGasUsed
        - effectiveGasPrice
        - from
        - gasUsed
        - logs
        - logsBloom
        - status
        - transactionHash
        - transactionIndex
        - type
    TxLog:
      type: object
      properties:
        address:
          type: string
          description: The log address
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
        topics:
          type: array
          items:
            type: string
          description: Array of log topics
          example:
            - '0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef'
            - '0x000000000000000000000000a7d9ddbe1f17865597fbd27ec712455208b6b76d'
            - '0x000000000000000000000000c2c4e1db41f0bb97996d0ed0542d2170d146fb66'
        data:
          type: string
          description: The log data
          example: '0x000000000000000000000000000000000000000000000000000000000000000a'
        blockNumber:
          type: integer
          description: Block number where the log occurred
          example: 123456
        transactionHash:
          type: string
          description: Transaction hash associated with the log
          example: '0x5a3b7f4b2c9e4a0b1f8a12c8e5f1d0e2a6b4c9d1f7e2b1a2b3c4d5e6f7a8b9c'
        transactionIndex:
          type: integer
          description: Transaction index in the block
          example: 2
        blockHash:
          type: string
          description: The hash of the block
          example: '0x6e3c92a3d96f96e46b7f39c30244edb6e8e0f4b65d3846c9f8287f9dd5d1a3d2'
        logIndex:
          type: integer
          description: Log index in the block
          example: 1
        removed:
          type: boolean
          description: Indicates if the log was removed
          example: false
      required:
        - address
        - topics
        - data
        - blockNumber
        - transactionHash
        - transactionIndex
        - blockHash
        - logIndex
        - removed
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````